let highlighter;
export async function loadShiki() {
  if (highlighter) {
    highlighter;
  }
  const [{ loadWasm, getHighlighterCore }, { loadShikiConfig }] = await Promise.all([
    import("shiki/core"),
    import("shiki.config.mjs")
  ]);
  const [$config] = await Promise.all([
    loadShikiConfig(),
    loadWasm(import("shiki/wasm"))
  ]);
  highlighter = await getHighlighterCore($config).then((h) => ({
    $config,
    $defaults: $config.defaults,
    ...h
  }));
  highlighter.setTheme($config.defaultTheme);
  return highlighter;
}
